#include "mbed.h"
#include "NuSDFileSystem.h"
 
 
 //NuSDFileSystem Nu_SD("sd"); // the pinout on the mbed Cool Components workshop board
NuSDFileSystem Nu_SD(PF_6, PF_7, PF_8, PF_5 ,PF_4, PF_3, PF_2, "sd");
Serial output(USBTX, USBRX);
 
int main() {
    // Sets the console baud-rate
    output.baud(115200);
    	
    printf("Hello World!\r\n");
 
    mkdir("/sd/mydir", 0777);
	
	printf("Create A Dir!\r\n");
    
    FILE *fp = fopen("/sd/mydir/sdtest.txt", "w");
    if(fp == NULL) {
        error("Could not open file for write\n");
    }
	printf("Create A File!\r\n");
	
    fprintf(fp, "Hello, SD Card write operation in mbed platform !");
    fclose(fp); 
	
	printf("Close The File!\r\n");
 
    printf("Goodbye World!\r\n");
}
